Skip to main content

List businesses

GET 

/v1/businesses

Lists your businesses. Supports filtering, sorting, and paging.

Query Parameters​


    search string

    Matches businesses by name or

    externalId
    (partial, case-insensitive).

    Possible values: non-empty and <= 200 characters

    Example: acme

    industry string

    Return only businesses in this industry. Lowercase form of the

    Industry
    values (e.g.
    financial_services
    ).

    Possible values: [accounting_or_finance, billing_and_collections, business_services, charity_or_fundraising, communications, customer_service, delivery_or_shipping, education, financial_services, government_or_public_services, healthcare_or_pharmacy, insurance, legal_services, notifications_or_scheduling, real_estate, retail, sales, software_or_technology_or_media, surveys_and_market_research, travel_or_hospitality, other]


    status string

    Return only businesses with this status. Lowercase form of the

    BusinessStatus
    values (e.g.
    under_review
    ).

    Possible values: [under_review, active, inactive, needs_attention]


    sortBy string

    Field to sort by.

    Possible values: [legalName, registered, updated]

    Default value: registered

    sortDirection string

    Sort direction.

    asc
    or
    desc
    (case-insensitive).

    Possible values: Value must match regular expression ^[Aa][Ss][Cc]$|^[Dd][Ee][Ss][Cc]$

    Default value: desc

    page integer

    Page number, starting at 0.

    Possible values: >= 0

    Default value: 0

    size integer

    Number of items per page.

    Possible values: >= 1 and <= 200

    Default value: 50

Responses​

A page of businesses.

Response Body

application/json